#ifndef __COMMON_DEF_H__
#define __COMMON_DEF_H__

#include "ErrDef.h"
#include "Util.h"
#include "StructDef.h"

#define SAVE_FOLDER L"\\EpgTimerBon"
#define EPG_SAVE_FOLDER L"\\EpgData"
#define LOGO_SAVE_FOLDER L"\\LogoData"
#define BON_DLL_FOLDER L"\\BonDriver"

#define RESERVE_TEXT_NAME L"Reserve.txt"
#define REC_INFO_TEXT_NAME L"RecInfo.txt"
#define EPG_AUTO_ADD_TEXT_NAME L"EpgAutoAdd.txt"
#define MANUAL_AUTO_ADD_TEXT_NAME L"ManualAutoAdd.txt"

#define EPG_TIMER_SERVICE_EXE L"EpgTimerSrv.exe"

#define EPG_TIMER_BON_MUTEX L"Global\\EpgTimer_Bon2"
#define EPG_TIMER_BON_LITE_MUTEX L"Global\\EpgTimer_Bon2_Lite"
#define EPG_TIMER_BON_SRV_MUTEX L"Global\\EpgTimer_Bon_Service"
#define SERVICE_NAME L"EpgTimer Service"

#define RECMODE_ALL 0 //ST[rX
#define RECMODE_SERVICE 1 //wT[rX̂
#define RECMODE_ALL_NOB25 2 //ST[rXiB25Ȃj
#define RECMODE_SERVICE_NOB25 3 //wT[rX̂݁iB25Ȃj
#define RECMODE_VIEW 4 //
#define RECMODE_NO 5 //
#define RECMODE_EPG 0xFF //EPG擾

#define RESERVE_EXECUTE 0 //ʂɗ\s
#define RESERVE_PILED_UP 1 //dȂĎsłȂ\񂠂
#define RESERVE_NO_EXECUTE 2 //dȂĎsłȂ
#define RESERVE_NO 3 //

#define RECSERVICEMODE_DEF	0x00000000	//ftHgݒ
#define RECSERVICEMODE_SET	0x00000001	//ݒlgp
#define RECSERVICEMODE_CAP	0x00000010	//f[^܂
#define RECSERVICEMODE_DATA	0x00000020	//f[^J[Z܂

#define REC_STATUS_WAIT		0x00000000	//^҂
#define REC_STATUS_END		0x00000001	//I
#define REC_STATUS_ERR_WAKE	0x00000002	//^掞ԉ߂ăG[
#define	REC_STATUS_ERR_OPEN	0x00000004	//EXENłȂăG[
#define	REC_STATUS_ERR_FIND	0x00000008	//EPG񌩂ȂăG[
#define	REC_STATUS_END_PG	0x00000010	//vO\ɕύXĘ^IiEPGmFłȂj
#define REC_STATUS_CHG_TIME	0x00000100	//\񎞂̊JnԂƕςĘ^
#define REC_STATUS_RELAY	0x00000200	//Cxg[Ř^

//\ǉ
#define ADD_RESERVE_NORMAL		0x00	//ʏ
#define ADD_RESERVE_RELAY		0x01	//Cxg[Œǉ
#define ADD_RESERVE_NO_FIND		0x02	//6ԒǏ][h
#define ADD_RESERVE_CHG_PF		0x04	//ŐVEPGŕύXς(p/f`FbN)
#define ADD_RESERVE_CHG_PF2		0x08	//ŐVEPGŕύXς(ʏ`FbN)
#define ADD_RESERVE_NO_EPG		0x10	//EPGȂŉς
#define ADD_RESERVE_UNKNOWN_END	0x20	//I

//ViewAviEpgDataCap_Bonj̃Xe[^X
#define VIEW_APP_ST_NORMAL				0 //ʏ
#define VIEW_APP_ST_ERR_BON				1 //BonDriveȑɎs
#define VIEW_APP_ST_REC					2 //^
#define VIEW_APP_ST_GET_EPG				3 //EPG擾
#define VIEW_APP_ST_ERR_CH_CHG			4 //`l؂ւs

#define REC_END_STATUS_NORMAL		1		//I
#define REC_END_STATUS_OPEN_ERR		2		//`[i[̃I[vłȂ
#define REC_END_STATUS_ERR_END		3		//^撆ɃG[
#define REC_END_STATUS_NEXT_START_END	4	//̗\Jn̂ߏI
#define REC_END_STATUS_START_ERR	5		//JnԂ߂Ă
#define REC_END_STATUS_CHG_TIME		6		//JnԂύXꂽ
#define REC_END_STATUS_NO_TUNER		7		//`[i[Ȃ
#define REC_END_STATUS_NO_RECMODE	8		//
#define REC_END_STATUS_NOT_FIND_PF	9		//p/fɔԑgmFłȂ
#define REC_END_STATUS_NOT_FIND_6H	10		//6ԔԑgmFłȂ
#define REC_END_STATUS_END_SUBREC	11		//TutH_ւ̘^悪
#define REC_END_STATUS_ERR_RECSTART 12		//^JnɎs
#define REC_END_STATUS_NOT_START_HEAD 13	//ꕔ̂ݘ^悳ꂽ
#define REC_END_STATUS_ERR_CH_CHG	14		//`l؂ւɎs

#endif